
class 'Button'

function Button:__init(vb, height)

  self.vb = vb
  self.height = height
  self.id = math.random(0, 1000000)

  self.content = vb:button {
      width = 30,
      height = self.height,
      id = tostring(self.id),
      color = { 224, 100, 100 },
      pressed = function()
        vb.views.canvas:remove_child(vb.views[tostring(self.id)])
        vb.views.canvas:add_child(vb.views[tostring(self.id)])
      end
    }

end

function main()

  local vb = renoise.ViewBuilder()
  local content, button

  local my_button = Button(vb, 100)

  content = vb:row {
    id = "canvas",
    margin = 0,
    spacing = -500,
    vb:xypad {
      id = "click_area",
      width = 500,
      height = 500,
    },
    my_button.content
  }  
  
  local dialog = renoise.app():show_custom_dialog("", content)

end

main()
